# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Oct 29 21:11:26 2023
# ------------------------------------------------

package:
  name: squashfs-tools
  version: 4.6.1
source:
  sha256: 94201754b36121a9f022a190c75f718441df15402df32c2b520ca331a107511c
  url: https://github.com/plougher/squashfs-tools/archive/refs/tags/4.6.1.tar.gz
build:
  number: '0'
  string: h24ece89_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_13
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_impl_linux-aarch64 2.40 h40ea8b1_0
    - binutils_linux-aarch64 2.40 h19b5abf_2
    - gcc_impl_linux-64 12.3.0 he2b93b0_2
    - gcc_impl_linux-aarch64 12.3.0 hfb0b921_2
    - gcc_linux-aarch64 12.3.0 hd570763_2
    - help2man 1.49.3 pl5321h0b41bf4_0
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_13
    - ld_impl_linux-64 2.40 h41732ed_0
    - ld_impl_linux-aarch64 2.40 hc365e21_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_2
    - libgcc-devel_linux-aarch64 12.3.0 h1a07b91_2
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libnsl 2.0.1 hd590300_0
    - libsanitizer 12.3.0 h0f45ef3_2
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - make 4.3 hd18ef5c_1
    - perl 5.32.1 4_hd590300_perl5
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.12 he073ed8_16
    - sysroot_linux-aarch64 2.17 h5b4a56d_13
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 13.2.0 hf8544c7_2
    - libgomp 13.2.0 hf8544c7_2
    - libstdcxx-ng 13.2.0 h9a76618_2
    - libzlib 1.2.13 h31becfc_5
    - lz4-c 1.9.3 h01db608_1
    - lzo 2.10 h516909a_1000
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.2.13 h31becfc_5
    - zstd 1.5.5 h4c53e97_0
  run:
    - libgcc-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - lz4-c >=1.9.3,<1.10.0a0
    - lzo >=2.10,<3.0a0
    - xz >=5.2.6,<6.0a0
    - zstd >=1.5.5,<1.6.0a0
test:
  commands:
    - mksquashfs ${RECIPE_DIR} recipe.fs
    - unsquashfs recipe.fs
about:
  description: 'Squashfs is a highly compressed read-only filesystem for Linux.

    It uses either gzip/xz/lzo/lz4 compression to compress both files, inodes

    and directories.  Inodes in the system are very small and all blocks are

    packed to minimise data overhead. Block sizes greater than 4K are supported

    up to a maximum of 1Mbytes (default block size 128K).

    '
  home: https://sourceforge.net/projects/squashfs/
  license: GPL-2.0-or-later
  license_family: GPL
  license_file: COPYING
  summary: Tools for creating and unpacking squashfs filesystems
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - mingwandroid
    - sodre
    - xhochy
